<?php include './layout.php'; 

function getage($birthdateStr){
            $birthdate = new DateTime($birthdateStr);
            $currentDate = new DateTime();
            
            // Calculate the difference between the birthdate and current date
            $ageInterval = $currentDate->diff($birthdate);
            
            // Get the age from the interval
            $age = $ageInterval->y;
            
            return $age;
        }
?>
			
			<!-- Page Wrapper -->
			<div class="page-wrapper">
				<div class="content container-fluid pb-0">
					
					<h4 class="mb-3">Overview</h4>
					
					<div class="row">
						<div class="col-xl-3 col-sm-6 col-12">
							<div class="card">
								<div class="card-body">
									<div class="dash-widget-header">
										<span class="dash-widget-icon bg-primary">
											<i class="feather-user-plus"></i>
										</span>
										<div class="dash-count">
											<h5 class="dash-title">All Users</h5>
											<div class="dash-counts">
												<p><?php echo countRow('users', 'id'); ?></p>
											</div>
										</div>
									</div>
									<p class="trade-level mb-0"><span class="text-success me-1"><i class="fas fa-caret-up me-1"></i>0%</span> last week</p>
								</div>
							</div>
						</div>
						<div class="col-xl-3 col-sm-6 col-12">
							<div class="card">
								<div class="card-body">
									<div class="dash-widget-header">
										<span class="dash-widget-icon bg-blue">
											<i class="feather-users"></i>
										</span>
										<div class="dash-count">
											<h5 class="dash-title">Waitlist</h5>
											<div class="dash-counts">
												<p><?php echo countRow('waitlist', 'id'); ?></p>
											</div>
										</div>
									</div>
									<p class="trade-level mb-0"><span class="text-success me-1"><i class="fas fa-caret-up me-1"></i>0%</span> last week</p>
								</div>
							</div>
						</div>
						<div class="col-xl-3 col-sm-6 col-12">
							<div class="card">
								<div class="card-body">
									<div class="dash-widget-header">
										<span class="dash-widget-icon bg-warning">
											<img src="assets/img/icon/calendar.png" alt="User Image">
										</span>
										<div class="dash-count">
											<h5 class="dash-title">Transactions</h5>
											<div class="dash-counts">
												<p><?php echo countRow('transations', 'id'); ?></p>
											</div>
										</div>
									</div>
									<p class="trade-level mb-0"><span class="text-success me-1"><i class="fas fa-caret-up me-1"></i>0%</span> last week</p>
								</div>
							</div>
						</div>
						<div class="col-xl-3 col-sm-6 col-12">
							<div class="card">
								<div class="card-body">
									<div class="dash-widget-header">
										<span class="dash-widget-icon bg-danger">
											<img src="assets/img/icon/chart.png" alt="User Image">
										</span> 
										<div class="dash-count">
											<h5 class="dash-title">Plans</h5>
											<div class="dash-counts">
												<p><?php echo countRow('plan', 'id'); ?></p>
											</div>
										</div>
									</div>
									<p class="trade-level mb-0"><span class="text-success me-1"><i class="fas fa-caret-up me-1"></i>0%</span> last week</p>
								</div>
							</div>
						</div>
					</div>
					
					<div class="row">
						<!-- Income Report -->
						<div class="col-12 d-flex">
							<div class="card flex-fill">
								<div class="card-header">
									<div class="row align-items-center">
										<div class="col">
											<h5 class="card-title">Income Report</h5>
										</div>
										<div class="col-auto d-flex">
											<select class="select gggggg">
												<option value="TODAY">Today</option>
												<option value="L7DAYS">Last 7 Days</option>
												<option value="L30DAYS">30 days</option>
												<option value="YEAR">1 Year</option>
												<option value="ALL">All TIme</option>
											</select>
										</div>
									</div>
								</div>
								<div class="card-body">
									<div class="text-end w-100">
										<div class="income-rev">Total Revenue : <span>NGN <?php echo number_format(countRow('transations', 'id')*12000,2); ?></span></div>
									</div>
									<div id="income-report"></div>
								</div>
							</div>
						</div>
						<!-- /Income Report -->
					</div>
					
					<div class="row">
						<!-- Recent Activities -->
						<div class="col-12">
							<div class="card">
								<div class="card-header border-bottom-0">
									<div class="row align-items-center">
										<div class="col">
											<h5 class="card-title">Recent Registrations</h5>
										</div>
										
									</div>
								</div>
								<div class="card-body p-0">				
									<div class="table-responsive">									
										<table class="table table-borderless hover-table">
											<thead class="thead-light">
												<tr>
												   <th>ID</th>
												   <th>Patient</th>
												   <th>Email</th>
												   <th>Member since </th>
												   <th>Status</th>
												   <th class="text-right"></th>
												</tr>
											</thead>
											<tbody>
											    <?php
                                                    $sql = "SELECT * FROM users ORDER BY id DESC LIMIT 5";
                                                    $query = mysqli_query($connection,$sql);
                                                    while ($row = mysqli_fetch_assoc($query)) {
                                                        ?>
												        <tr>
													<td>#<?php echo $row['id']; ?></td>
													<td>
														<h2 class="table-avatar">
															<a href="./user_details.php?email=<?php echo $row['email']; ?>"><img class="avatar avatar-img" src="<?php echo $row['image']; ?>" alt="User Image"></a>
															<a href="#" class="user-name"><?php echo $row['lname']; ?> <?php echo $row['fname']; ?> <span class="text-muted"><?php echo $row['gender']; ?>, <?php echo getage($row['dob']); ?> Years Old</span></a>
														</h2>
													</td>
													<td><span class="disease-name"><?php echo $row['email']; ?></span></td>
													<td>
														<span class="text-success user-name">New Patient</span>
														<span class="d-block"><?php echo $row['created_at']; ?></span>
													</td>
													<td><span class="badge bg-badge-grey text-success"><i class="fas fa-circle me-1"></i> Enabled</span></td>
													<td class="text-right">
													    <a href="./user_details.php?email=<?php echo $row['email']; ?>"> <i class="feather-chevron-right"></i></a>
													</td>
												</tr>
												   <?php
                                                    }
                                                ?>
											</tbody>
										</table>
									</div>
								</div>
							</div>
						</div>
						
					</div>
					
				</div>
			</div>
			<!-- /Page Wrapper -->
			
	<?php include './footer.php'; ?>
	<script>
	    $(document).ready(function() {
        function fetchTransactionDetails(filterBy){
                $.ajax({
                url:"../backend/gettransactionchart.php",
                method:"GET",
                data:{filterBy},
                beforeSend:function(){
                    
                },
                success:function(data){
                    $(".spinner-border").remove();
                    var resdata = JSON.parse(data);
                    console.log(resdata)
                    if($('#income-report').length > 0) {
                		var options = {
                				series: [{
                					name: "Transactions",
                					data: resdata.data
                				}
                			],
                			colors: ['#0CE0FF'],
                			  chart: {
                			  height: 300,
                			  type: 'area',
                			  toolbar: {
                					show: false
                				},
                			  zoom: {
                				enabled: false
                			  }
                			},
                			dataLabels: {
                			  enabled: false
                			},
                			stroke: {
                			  curve: 'smooth',
                			  width: 1,
                			},
                			markers: {
                				size: 3,
                			},
                			legend: {
                				position: 'top',
                				horizontalAlign: 'right',
                			 },
                			grid: {
                			  show: false,
                			},
                			yaxis: {
                				labels: {
                					formatter: function (val) {
                						return "₦" + val
                					}
                				},
                				axisBorder: {
                					show: true,
                				},
                			},
                			xaxis: {
                			  categories: resdata.labels,
                				}
                		};
                        $('#income-report').empty();
                		var chart = new ApexCharts(document.querySelector("#income-report"), options);
                		chart.render();
                	}
                }
            })
        }
	    function generateData(baseval, count, yrange) {
		var i = 0;
		var series = [];
		while (i < count) {
			var x = Math.floor(Math.random() * (750 - 1 + 1)) + 1;;
			var y = Math.floor(Math.random() * (yrange.max - yrange.min + 1)) + yrange.min;
			var z = Math.floor(Math.random() * (75 - 15 + 1)) + 15;

			series.push([x, y, z]);
			baseval += 86400000;
			i++;
		}
		return series;
	}
        fetchTransactionDetails('TODAY');
	    $(document).on('change','.gggggg',function(){
	        fetchTransactionDetails($(this).val());
	    });
	// Income Report
	


	
	
  
});
	</script>