<?php
include '../backend/init.php';
include '../utilities/intro.php';
include '../utilities/time.php';
include '../utilities/image.php';

if (!isset($_SESSION['user_id']) || !isset($_SESSION['email'])){
        header('Location:./login.php');
        ob_end_flush();
    }
    else{
        include '../backend/init.php';
        $user = getFieldsDetails('admin','id',$_SESSION['user_id']); 
        
    }
?>

<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
		<title><?php echo (isset($title) ? $title: "Dashboard"); ?> - HealthBumpa Admin Dashboard</title>
		
		<!-- Favicon -->
		<link rel="shortcut icon" href="https://healthbumpa.com/dashboard/assets/img/favicon.png">
		
		<!-- Bootstrap CSS -->
		<link rel="stylesheet" href="assets/css/bootstrap.min.css">
		
		<!-- Fontawesome CSS -->
		<link rel="stylesheet" href="assets/plugins/fontawesome/css/fontawesome.min.css">
		<link rel="stylesheet" href="assets/plugins/fontawesome/css/all.min.css">
		
		<!-- Feathericon CSS -->
        <link rel="stylesheet" href="assets/css/feather.css">
		
		<!-- Select2 CSS-->
        <link rel="stylesheet" href="assets/plugins/select2/css/select2.min.css">
		
		<!-- Owl carousel CSS -->
		<link rel="stylesheet" href="assets/plugins/owl-carousel/owl.carousel.min.css">
		
		<!-- Daterangepicker CSS -->
		<link rel="stylesheet" href="assets/plugins/daterangepicker/daterangepicker.css">
		
		<!-- Main CSS -->
		<link rel="stylesheet" href="assets/css/style.css">
		
	</head>
	<body>
	
		<!-- Main Wrapper -->
		<div class="main-wrapper">
		
			<!-- Header -->
			<div class="header">
			
				<!-- Logo -->
				<div class="header-left">
					<a href="index.php" class="logo">
						<img src="https://healthbumpa.com/dashboard/assets/img/healthbumpa-logo.svg" alt="Logo" style="width: 100%;">
					</a>
					<a href="index.php" class="logo logo-small">
						<img src="https://healthbumpa.com/dashboard/assets/img/favicon.png" alt="Logo" width="30" height="30">
					</a>
					<a href="javascript:void(0);" id="toggle_btn">
						<i class="feather-chevrons-left"></i>
					</a>
				</div>
				<!-- /Logo -->
				
				<!-- Search -->
				<div class="top-nav-search">
					<div class="main">
						<form class="search" method="post" action="index.html" >
							<div class="s-icon"><i class="fas fa-search"></i></div>
							<input type="text" class="form-control" placeholder="Start typing your Search..." />
							<ul class="results d-none">
								<li>
									<h6><i class="feather-calendar me-1"></i> Appointments</h6>
									<p>No matched Appointment found. <a href="upcoming-appointments.html"><span>View all</span></a></p>
								</li>
							</ul>
						</form>
					</div>
				</div>
				<!-- /Search -->
				
				<!-- Mobile Menu Toggle -->
				<a class="mobile_btn" id="mobile_btn">
					<i class="fas fa-bars"></i>
				</a>
				<!-- /Mobile Menu Toggle -->
				
				<!-- Header Menu -->
				<ul class="nav nav-tabs user-menu">
					<!-- Notifications -->
					<li class="nav-item dropdown noti-nav d-none">
						<a href="#" class="dropdown-toggle nav-link" data-bs-toggle="dropdown">
							<i class="feather-bell"></i> <span class="badge"></span>
						</a>
						<div class="dropdown-menu notifications">
							<div class="topnav-dropdown-header">
								<span class="notification-title">Notifications</span>
								<a href="javascript:void(0)" class="clear-noti"><i class="feather-more-vertical"></i></a>
							</div>
							<div class="noti-content">
								<ul class="notification-list">
									<li class="notification-message">
										<a href="#">
											<div class="media d-flex">
												<span class="avatar">
													<img class="avatar-img" alt="" src="assets/img/profiles/avatar-02.jpg">
												</span>
												<div class="media-body">
													<h6>Travis Tremble <span class="notification-time">18.30 PM</span></h6>
													<p class="noti-details">Sent a amount of $210 for his Appointment  <span class="noti-title">Dr.Ruby perin </span></p>
												</div>
											</div>
										</a>
									</li>
								</ul>
							</div>
						</div>
					</li>
					<!-- /Notifications -->
					
					<!-- User Menu -->
					<li class="nav-item dropdown main-drop">
						<a href="#" class="dropdown-toggle nav-link" data-bs-toggle="dropdown">
							<span class="user-img">
								<img src="assets/img/profiles/avatar-01.jpg" alt="">
								<span class="status online"></span>
							</span>
						</a>
						<div class="dropdown-menu">
							<div class="user-header">
								<div class="avatar avatar-sm">
									<img src="assets/img/profiles/avatar-01.jpg" alt="User Image" class="avatar-img rounded-circle">
								</div>
								<div class="user-text">
									<h6><?php echo $user['name']; ?></h6>
									<p class="text-muted mb-0"><?php echo $user['role']; ?></p>
								</div>
							</div>
							<a class="dropdown-item" href="profile.php"><i class="feather-user me-1"></i> My Profile</a>
							<a class="dropdown-item" href="profile.php"><i class="feather-edit me-1"></i> Edit Profile</a>
							<!--<a class="dropdown-item" href="settings.php"><i class="feather-sliders me-1"></i> Account Settings</a>-->
							<hr class="my-0 ms-2 me-2">
							<a class="dropdown-item" href="./logout.php"><i class="feather-log-out me-1"></i> Logout</a>
						</div>
					</li>
					<!-- /User Menu -->
					
				</ul>
				<!-- /Header Menu -->
				
			</div>
			<!-- /Header -->
			
			<!-- Sidebar -->
			<div class="sidebar" id="sidebar">
				<div class="sidebar-inner slimscroll">
					<div id="sidebar-menu" class="sidebar-menu">
						<ul>
							<li class="menu-title"><span>Main</span></li>
							<li>
								<a href="index.php"><i class="feather-grid"></i> <span>Dashboard</span></a>
							</li>
							<li class="d-none">
								<a href="upcoming-appointments.html"><i class="feather-calendar"></i> <span>Appointments</span></a>
							</li>
							<li>
								<a href="plans.php"><i class="feather-package"></i> <span>Plans</span></a>
							</li>
							<li>
								<a href="users.php"><i class="feather-users"></i> <span>Users</span></a>
							</li>
							<li>
								<a href="transaction.php"><i class="feather-credit-card"></i> <span>Transactions</span></a>
							</li>
							<li class="submenu">
								<a href="#"><i class="feather-file-text"></i> <span> Reports</span> <span class="menu-arrow"></span></a>
								<ul>
									<li class="d-none"><a href="./user-reports.php">Users Report</a></li>
									<li><a href="./user-session.php">User Session</a></li>
								</ul>
							</li>								
							
							<li class="d-none">
								<a href="#"><i class="feather-shopping-cart"></i> <span> Mailing System</span></a>
								<!--<ul>-->
								<!--	<li><a href="product-list.html">All Products</a></li>-->
								<!--	<li><a href="product-category.html">Categories</a></li>-->
								<!--</ul>-->
							</li>	
							<!--<li> -->
							<!--	<a href="add-profile.html"><i class="feather-user"></i> <span>Profile</span></a>-->
							<!--</li>-->
							<li>
								<a href="./logout.php"><i class="feather-log-out"></i> <span>Logout</span></a>
							</li>
						</ul>
					</div>
				</div>
			</div>
			<!-- /Sidebar -->