<?php
$title = "Users"; 
include './layout.php'; 

function getage($birthdateStr){
    $birthdate = new DateTime($birthdateStr);
    $currentDate = new DateTime();
            
    // Calculate the difference between the birthdate and current date
    $ageInterval = $currentDate->diff($birthdate);
            
    // Get the age from the interval
    $age = $ageInterval->y;
            
    return $age;
}

?>		
			<!-- Page Wrapper -->
			<div class="page-wrapper">
				<div class="content container-fluid">
				
					<!-- Page Header -->
					<div class="page-header">
						<div class="row align-items-center">
							<div class="col-md-12">
								<h3 class="me-3">Users</3>
						</div>
					</div>
					<!-- /Page Header -->
					
					<!-- Patients List -->
					<div class="row">
						<div class="col-sm-12">
							<div class="card">
								<div class="card-header">
									<div class="row align-items-center">
										<div class="col">
											<h5 class="card-title">Users</h5>
										</div>
										<div class="col-auto custom-list d-flex">
											<div class="form-custom me-2">
												<div id="tableSearch"  class="dataTables_wrapper"></div>
											</div>
										</div>
									</div>
								</div>
								<div class="card-body p-0">				
									<div class="table-responsive">									
										<table class="datatable table table-borderless hover-table" id="data-table">
											<thead class="thead-light">
												<tr>
												   <th>ID</th>
												   <th>Patient</th>
												   <th>Email</th>
												   <th>DOB</th>
												   <th>Subscribed</th>
												   <th>Account Status</th>
												   <th></th>
												</tr>
											</thead>
											<tbody>
											    <?php
                                                    $sql = "SELECT * FROM users";
                                                    $query = mysqli_query($connection,$sql);
                                                    while ($row = mysqli_fetch_assoc($query)) {
                                                        ?>
                                                        <tr>
        													<td>#<?php echo $row['id']; ?></td>
        													<td>
        														<h2 class="table-avatar">
        															<a  href="./user_details.php?email=<?php echo $row['email']; ?>"><img class="avatar avatar-img" src="<?php echo $row['image']; ?>" alt="User Image"></a>
        															<a  href="./user_details.php?email=<?php echo $row['email']; ?>"><span class="user-name"><?php echo $row['lname']; ?> <?php echo $row['fname']; ?></span> <span class="text-muted"><?php echo $row['gender']; ?>, <?php echo getage($row['dob']); ?> Years Old</span></a>
        														</h2>
        													</td>
        													<td><?php echo $row['email']; ?></td>
        													<td><span class="user-name"><?php echo $row['dob']; ?></span></td>
        													
        													<td>
        														<label class="toggle-switch" for="status1">
        															<input type="checkbox" class="toggle-switch-input" id="status1" <?php echo ($row['is_suscribed'] ? 'checked': ''); ?> >
        															<span class="toggle-switch-label">
        																<span class="toggle-switch-indicator" ></span>
        															</span>
        														</label>
        													</td>
        													<td>
        														<label class="toggle-switch" for="status2">
        															<input type="checkbox" class="toggle-switch-input" id="status2" <?php echo ($row['status'] ? 'checked': ''); ?> >
        															<span class="toggle-switch-label">
        																<span class="toggle-switch-indicator"></span>
        															</span>
        														</label>
        													</td>
        													<td class="text-start">
        														<div class="actions">
        															<a class="text-index" href="./user_details.php?email=<?php echo $row['email']; ?>">
        																<i class="feather-eye"></i> Preview
        															</a>															
        														</div>
        													</td>
        												</tr>
                                                        <?php
                                                    }
                                                ?>
											</tbody>
										</table>
									</div>
								</div>
							</div>
							
							<div id="tablepagination"  class="dataTables_wrapper"></div>
						</div>
					</div>
					<!-- /Patient List -->
				</div>
			</div>
			<!-- /Page Wrapper -->
			
			<!-- Modal -->
			<div class="modal fade contentmodal" id="patientlist" tabindex="-1" aria-hidden="true">
				<div class="modal-dialog modal-dialog-centered">
					<div class="modal-content doctor-profile">
						<div class="modal-header justify-content-center border-bottom-0">
							<h4 class="modal-title">Patient Details</h4>
							<button type="button" class="close-btn pos-top" data-bs-dismiss="modal" aria-label="Close"><i class="feather-x-circle"></i></button>
						</div>
						<div class="modal-body">
							<div class="media d-flex align-items-center justify-content-between">
								<div class="flex-shrink-0 d-flex align-items-center">
									<img src="assets/img/profiles/avatar-02.jpg" alt="patient" class="doctor">
									<div>											
										<div class="docs-id"> #454445</div>
										<h3>Harden Mike</h3>
										<p>Male, 45 Years</p>
									</div>	
								</div>
							</div>
							<div class="member-wrapper">
								<h5>Personal Details</h5>
								<div class="row">
									<div class="col-sm-4">
										<div class="mem-info">
											<h6>Registered On</h6>
											<p>Nov 21, 2022</p>
										</div>
									</div>
									<div class="col-sm-4">
										<div class="mem-info">
											<h6>Phone Number</h6>
											<p>+1 5454 2154 4545</p>
										</div>
									</div>
									<div class="col-sm-4">
										<div class="mem-info">
											<h6>Email ID</h6>
											<p>Doctor@Doccure.com</p>
										</div>
									</div>
									<div class="col-sm-8">
										<div class="mem-info">
											<h6>Location</h6>
											<p>4417 Goosetown Drive, Taylorsville, North Carolina, 28681</p>
										</div>
									</div>
									<div class="col-sm-4">
										<div class="mem-info">
											<h6>Date of Birth</h6>
											<p>21, Dec 2022</p>
										</div>
									</div>
								</div>                            
							</div>
							<div class="lang-wrap">
								<p>No of Consultation / Cancelled : <span>85/21</span></p>
								<p>Total Income Earned  :  <span>$4,544,784</span></p>
							</div>
							<div class="submit-section">
								<a data-bs-dismiss="modal" data-bs-toggle="modal" href="#editModal" class="btn btn-primary me-2">Edit</a>
								<a data-bs-dismiss="modal" data-bs-toggle="modal" href="#deleteModal" class="btn btn-secondary">Delete Account</a>
							</div>
						</div>
					</div>
				</div>
			</div>
			<!-- /Modal -->
			
			<!-- Modal -->
			<div class="modal fade contentmodal" id="editModal" tabindex="-1" aria-hidden="true">
				<div class="modal-dialog modal-dialog-centered">
					<div class="modal-content doctor-profile">
						<div class="modal-header">
							<h3 class="mb-0">Edit Patient</h3>
							<button type="button" class="close-btn" data-bs-dismiss="modal" aria-label="Close"><i class="feather-x-circle"></i></button>
						</div>
						<div class="modal-body">
							<form action="patient-list.html">
								<div class="add-wrap">
									<div class="form-group form-focus">
										<input type="text" class="form-control floating" value="Dr. Rayan miller">
										<label class="focus-label">Doctor Name <span class="text-danger">*</span></label>
									</div>
									<label class="mb-1">Patient Image</label>
									<div class="change-photo-btn">
										<div><i class="feather-upload"></i>
										<p>Upload File</p></div>
										<input type="file" class="upload">
										<span class="file-upload-text"></span>
									</div>
									<p class="file-name text-success">Successfully Product image.jpg uploaded <a href="#" class="text-danger"><i class="feather-x"></i></a></p>
									<div class="form-group form-focus">
										<input type="text" class="form-control floating" value="$330.00">
										<label class="focus-label">Consultation Fees <span class="text-danger">*</span></label>
									</div>
									<div class="form-group form-focus">
										<input type="text" class="form-control floating" value="Newyork, USA">
										<label class="focus-label">Location <span class="text-danger">*</span></label>
									</div>
									<div class="form-group form-focus">
										<input type="text" class="form-control floating" value="+1 5454 2154 4545">
										<label class="focus-label">Phone <span class="text-danger">*</span></label>
									</div>
									<div class="submit-section">
										<button type="submit" class="btn btn-primary btn-save">Save Changes</button>
									</div>								
								</div>
							</form>
						</div>
					</div>
				</div>
			</div>
			<!-- /Modal -->
			
			<!-- Modal -->
			<div class="modal fade contentmodal" id="deleteModal" tabindex="-1" aria-hidden="true">
				<div class="modal-dialog modal-dialog-centered">
					<div class="modal-content doctor-profile">
						<div class="modal-header border-bottom-0 justify-content-end">
							<button type="button" class="close-btn" data-bs-dismiss="modal" aria-label="Close"><i class="feather-x-circle"></i></button>
						</div>
						<div class="modal-body">
							<div class="delete-wrap text-center">
								<form action="patient-list.html">
									<div class="del-icon"><i class="feather-x-circle"></i></div>
									<h2>Sure you Want to delete</h2>
									<p>“Patient”</p>
									<div class="submit-section">
										<button type="submit" class="btn btn-success me-2">Yes</button>
										<a href="#" class="btn btn-danger" data-bs-dismiss="modal">No</a>
									</div>	
								</form>								
							</div>
						</div>
					</div>
				</div>
			</div>
			<!-- /Modal -->
			
<?php include './footer.php'; ?>