<?php
include '../init.php';
include '../../utilities/intro.php';
include '../../utilities/encryption.php';
require ('../sendgrid/sendgrid-php.php');

// Check if the form is submitted
if ($_SERVER["REQUEST_METHOD"] == "POST") {
      $errors = [];
      
      $email = cleanme($_POST['email']);
      if (empty($email)) {
        $errors[] = 'Email is required.';
      }
      // If there are any errors, return the error message in JSON format and stop further execution
      if (!empty($errors)) {
          //http_response_code(401);
        echo json_encode(array(
          'status' => false,
          'message' => 'Email is required!',
          'errors' => $errors
        ));
        exit; // Stop further execution
      }
      else{
          // Check if the email already exists in the database
            $email_exists = false;
            $sql_check_email = "SELECT * FROM users WHERE email = ?";
            $stmt_check_email = $connection->prepare($sql_check_email);
            $stmt_check_email->bind_param("s", $email);
            $stmt_check_email->execute();
            $result = $stmt_check_email->get_result();
            if ($result->num_rows > 0) {
                $user = $result->fetch_assoc();
                $userId =$user['id'];
                $emailEnc = md5($email);
                
                $email_exists = true;
                /**start*/
                $msgintext = "http://healthbumpa.com/reset.php?token=".$emailEnc;
                $reset_link = "<a style='background:#20e277;text-decoration:none !important; font-weight:500; margin-top:35px; 
                color:#fff;text-transform:uppercase; font-size:14px;padding:10px 24px;display:inline-block;border-radius:50px;'
                href='http://healthbumpa.com/reset.php?token=".$emailEnc."'>Click To Reset password</a>";
       
$to = $email;
$subject = "Password Reset Link";

$mainText = '<p style="color:#455056; font-size:15px;line-height:24px; margin:0;">
                We cannot simply send you your old password. A unique link to reset your
                password has been generated for you. To reset your password, click the
                following link and follow the instructions.
            </p>'.$reset_link.' ';

$headers = "MIME-Version: 1.0" . "\r\n";
$headers .= "Content-type:text/html;charset=UTF-8" . "\r\n";
$headers .= "From: noreply@healthbumpa.com" . "\r\n";

$messageinhtml = '<html lang="en-US">
                <head>
                    <meta content="text/html; charset=utf-8" http-equiv="Content-Type" />
                    <title>Reset Password Email</title>
                    <meta name="description" content="Reset Password Email">
                    <style type="text/css">
                        a:hover {text-decoration: underline !important;}
                    </style>
                </head>      
                <body marginheight="0" topmargin="0" marginwidth="0" style="margin: 0px; background-color: #f2f3f8;" leftmargin="0">
                    <table cellspacing="0" border="0" cellpadding="0" width="100%" bgcolor="#f2f3f8" style="@import url(https://fonts.googleapis.com/css?family=Rubik:300,400,500,700|Open+Sans:300,400,600,700); font-family: "Open Sans", sans-serif;">
                        <tr>
                            <td>
                                <table style="background-color: #f2f3f8; max-width:670px;  margin:0 auto;" width="100%" border="0"
                                    align="center" cellpadding="0" cellspacing="0">
                                    <tr>
                                        <td style="height:80px;">&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td style="height:20px;">&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <table width="95%" border="0" align="center" cellpadding="0" cellspacing="0"
                                                style="max-width:670px;background:#fff; border-radius:3px; text-align:center;
                                                -webkit-box-shadow:0 6px 18px 0 rgba(0,0,0,.06);-moz-box-shadow:0 6px 18px 0 rgba(0,0,0,.06);box-shadow:0 6px 18px 0 rgba(0,0,0,.06);">
                                                <tr>
                                                    <td style="height:40px;">&nbsp;</td>
                                                </tr>
                                                <tr>
                                                    <td style="padding:0 35px;">
                                                        <h1 style="color:#1e1e2d; font-weight:500; margin:0;font-size:32px;font-family:"Rubik",sans-serif;">You have
                                                            requested to reset your password</h1>
                                                        <span
                                                            style="display:inline-block; vertical-align:middle; margin:29px 0 26px; border-bottom:1px solid #cecece; width:100px;">
                                                        </span>
                                                        '.$mainText.'
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td style="height:40px;">&nbsp;</td>
                                                </tr>
                                            </table>
                                        </td>
                                    <tr>
                                        <td style="height:20px;">&nbsp;</td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>
                    <!--/100% body table -->
                </body>
            </html>';
if (sendWithSendGrid($subject,$to,$msgintext,$messageinhtml)) {
    mysqli_query($connection,"DELETE FROM forgot_password_token WHERE userId= '$userId' ");
    $time = time() + 3600; 
    $sql = "INSERT INTO forgot_password_token (userId, token, expireIn)
            VALUES ('$userId', '$emailEnc', '$time')";
    $query = mysqli_query($connection,$sql);
    if($query){
         //http_response_code(200);
    echo json_encode([
        'status' => true,
        'message' => "Reset link is successfully sent to your email "
    ]);
    }else{
         //http_response_code(500);
         echo json_encode([
            'status' => false,
            'message' => "Error sending email to email address"
        ]);
    }
} else {
    //http_response_code(500);
    echo json_encode([
        'status' => false,
        'message' => "Error sending email to email address"
    ]);
}
                
            }else{
                //http_response_code(401);
                echo json_encode([
                    'status' => false,
                    'message' => "This email does not match any account"
                    ]);
            }
            
            
          
      }
}

?>