<?php
include '../init.php';
include '../../utilities/intro.php';
include '../../utilities/encryption.php';

// Check if the form is submitted
if ($_SERVER["REQUEST_METHOD"] == "POST") {
      $errors = array();
      // Sanitize each form field and check for empty fields
      $fname = cleanme($_POST['fname']);
      if (empty($fname)) {
        $errors[] = 'First Name is required.';
      }
    
      $lname = cleanme($_POST['lname']);
      if (empty($lname)) {
        $errors[] = 'Last Name is required.';
      }
    
      $oname = cleanme($_POST['oname']);
      if (empty($oname)) {
        $errors[] = 'Other Name is required.';
      }
    
      $gender = cleanme($_POST['gender']);
      if (empty($gender)) {
        $errors[] = 'Gender is required.';
      }
    
     $dob = cleanme($_POST['dob']).'  10:07:00';
      if (empty($dob)) {
        $errors[] = 'Date of Birth is required.';
      }
    
      $email = cleanme($_POST['email']);
      if (empty($email)) {
        $errors[] = 'Email is required.';
      }
    
      $password = cleanme($_POST['password']);
      if (empty($password)) {
        $errors[] = 'Password is required.';
      }
    
      $confirm_password = cleanme($_POST['confirm-password']);
      if (empty($confirm_password)) {
        $errors[] = 'Confirm Password is required.';
      }
      $phone = cleanme($_POST['phone']);
      if (empty($phone)) {
        $errors[] = 'Phone is required.';
      }
      $address = cleanme($_POST['address']);
      if (empty($address)) {
        $errors[] = 'Address is required.';
      }
      if ($confirm_password != $password) {
        $errors[] = 'Password Not Equal.';
      }
    
      // If there are any errors, return the error message in JSON format and stop further execution
      if (!empty($errors)) {
        echo json_encode(array(
          'status' => false,
          'message' => 'Registration Unsuccessful',
          'errors' => $errors
        ));
        exit; // Stop further execution
      }
      else{
          // Check if the email already exists in the database
            $email_exists = false;
            $sql_check_email = "SELECT id FROM users WHERE email = ?";
            $stmt_check_email = $connection->prepare($sql_check_email);
            $stmt_check_email->bind_param("s", $email);
            $stmt_check_email->execute();
            $stmt_check_email->store_result();
            if ($stmt_check_email->num_rows > 0) {
                $email_exists = true;
            }
            $stmt_check_email->close();
            
            // Getting out Pricing Amount
            $sql_fetch_pricing = "SELECT pricing,track_id FROM plan WHERE status = 1";
            $result = $connection->query($sql_fetch_pricing);
            if ($result->num_rows > 0) {
                $row = $result->fetch_assoc();
                $pricing = $row['pricing'];
                $pricing_id = $row['track_id'];
            }
            
            // Close the result set
            $result->close();
            // If the email exists, show an error message
            if ($email_exists) {
                echo json_encode(array(
                    'status' => false,
                    'message' => 'Registration Unsuccessful',
                    'errors' => "Error: Email already exists."
                ));
            exit; // Stop further execution
            }
            else{
                // Handle the image file
                  if (isset($_FILES['image'])) {
                    $target_directory = "../../uploads/"; // Replace this with your desired upload directory
                    $target_file = $target_directory . basename($_FILES['image']['name']);
                    if (move_uploaded_file($_FILES['image']['tmp_name'], $target_file)){
                        $base_url = "https://healthbumpa.com/uploads/".$_FILES['image']['name'];
                        $password = Password_encrypt(cleanme($_POST['password']));
                            // Prepared statement to insert data into the users table
                            $iddd = uniqid().time();
                            $stmt = $connection->prepare("INSERT INTO users (fname,private_id, lname, oname, gender, dob, email, image, password,phone_number,address) VALUES (?, ?,?, ?, ?, ?, ?, ?, ?,?,?)");
                            $stmt->bind_param("sssssssssss", $fname, $iddd, $lname, $oname, $gender, $dob, $email,$base_url, $password,$phone,$address);
                            
                            // Execute the statement
                            if ($stmt->execute()) {
                                
                                $paystack_secret_key = 'sk_live_f68c3175b90e5869c7c228c6b701ef2a87ab0d61'; // Replace with your Paystack secret key
                                //$paystack_secret_key = 'sk_test_980c31fab205c9737fbf42aac5631ca926b99f3c';
                                $url = "https://api.paystack.co/transaction/initialize";

                                  $fields = [
                                    'email' => $email,
                                    'amount' => $pricing,
                                    'plan' => $pricing_id
                                  ];
                                
                                  $fields_string = http_build_query($fields);
                                
                                  //open connection
                                  $ch = curl_init();
                                  
                                  //set the url, number of POST vars, POST data
                                  curl_setopt($ch,CURLOPT_URL, $url);
                                  curl_setopt($ch,CURLOPT_POST, true);
                                  curl_setopt($ch,CURLOPT_POSTFIELDS, $fields_string);
                                  curl_setopt($ch, CURLOPT_HTTPHEADER, array(
                                    "Authorization: Bearer $paystack_secret_key",
                                    "Cache-Control: no-cache",
                                  ));
                                  
                                  //So that curl_exec returns the contents of the cURL; rather than echoing it
                                  curl_setopt($ch,CURLOPT_RETURNTRANSFER, true); 
                                  
                                  //execute post
                                  $result = curl_exec($ch);
                                // Get the payment URL from the response
                                echo json_encode(array(
                                  'status' => true,
                                  'message' => 'Registration Successful',
                                  'errors' => "",
                                  'redirect_url'=> json_decode($result,true)["data"]["authorization_url"]
                                ));
                                exit; // Stop further execution
                            } else {
                                echo json_encode(array(
                                  'status' => false,
                                  'message' => 'Registration Unsuccessful',
                                  'errors' => "Error: " . $stmt->error. " Login, and get started !"
                                ));
                                exit; // Stop further execution
                            }
                            
                            // Close the statement and connection
                            $stmt->close();
                            $connection->close();
                    }
                    else{
                        echo json_encode(array(
                          'status' => false,
                          'message' => 'Registration Unsuccessful',
                          'errors' => []
                        ));
                        exit; // Stop further execution
                    }
                  }
                  else{
                      echo json_encode(array(
                          'status' => false,
                          'message' => 'Registration Unsuccessful',
                          'errors' => []
                      ));
                      exit; // Stop further execution
                  }
            }
            
          
      }
}

?>