<?php
include '../init.php';
include '../../utilities/intro.php';
include '../../utilities/encryption.php';


$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => "https://api.paystack.co/plan",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => array(
    "name" => "Basic Plan",
    "interval" => "annually", //monthly
    "amount" => 1200000
  ),
  CURLOPT_HTTPHEADER => array(
    "Authorization: Bearer sk_live_f68c3175b90e5869c7c228c6b701ef2a87ab0d61",
    "Cache-Control: no-cache"
  ),
)
);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
  $ddata = $response;
  
  // Prepared statement to insert data into the users table
    $iddd = json_decode($response,true)["data"]["plan_code"];
    
    $name = 'Basic Plan';
    $pricing = 12000000;
    $discount = 0;
    $status = 1;
    $details = '';
    
    // Prepare the INSERT statement for the "plan" table
    $stmt = $connection->prepare("INSERT INTO plan ( name, track_id, pricing, discount, status, details, webhook) VALUES (?, ?, ?, ?, ?, ?, ?)");
    
    // Bind variables for the INSERT statement
    $stmt->bind_param("sssssss", $name, $iddd, $pricing, $discount, $status, $details, $response);
    
    // Execute the statement
    if ($stmt->execute()) {
        echo "Data inserted successfully.";
    } else {
        echo "Error inserting data: " . $stmt->error;
    }
    
    // Close the prepared statement
    $stmt->close();
    
    // Close the database connection
    $connection->close();

}

?>