<?php

// Replace with your actual Paystack API key and subscription ID
$api_key = 'your_api_key';
$subscription_id = 'subscription_id_to_cancel';

// Set the Paystack API endpoint for subscription cancellation
$url = "https://api.paystack.co/subscription/$subscription_id/disable";

// Initialize cURL session
$ch = curl_init($url);

// Set cURL options
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    "Authorization: Bearer $api_key",
    "Content-Type: application/json",
]);

// Execute cURL session and capture the response
$response = curl_exec($ch);

// Check for cURL errors
if (curl_errno($ch)) {
    echo 'Error: ' . curl_error($ch);
    exit;
}

// Close cURL session
curl_close($ch);

// Parse the JSON response
$response_data = json_decode($response, true);

// Check the response status and handle accordingly
if ($response_data['status'] === true) {
    echo "Subscription successfully canceled";
} else {
    echo "Error canceling subscription: " . $response_data['message'];
}
