<?php $title = "Payments"; ?>
<?php include './layout.php'; ?>
<style rel="stylesheet" href="https://cdn.datatables.net/1.13.6/css/dataTables.bootstrap5.min.css"></style>
<style>
.dataTables_wrapper .dataTables_paginate .paginate_button {
    padding: 0 !Important;
}
</style>
<!-- Content wrapper -->
<div class="content-wrapper">
            <!-- Content -->

<div class="container-xxl flex-grow-1 container-p-y">
<h4 class="py-3 mb-4"> Billings & Plans</h4>
<div class="row">
  <div class="col-md-12">
    <?php $plan_data = getFieldsDetails('plan','1',1); ?>
    <div class="card mb-4">
      <!-- Current Plan -->
      <h5 class="card-header">Current Plan</h5>
      <div class="card-body">
        <?php 
            function daysLeftUntil30DaysFromNow($data) {
                $currentDateTime = new DateTime($data);
                $futureDateTime = clone $currentDateTime;
                $futureDateTime->modify('+365 days');
                $daysLeft = $futureDateTime->format("d F Y");
                return $daysLeft;
            }

            function daysLeftUntil30DaysLater($data) {
                $newDateime = new DateTime();
                $originalDateTime = new DateTime($data);
                $futureDateTime = clone $originalDateTime;
                $interval = $newDateime->diff($futureDateTime);
                $daysLeft = $interval->format('%a');
                return $daysLeft;
            }
            
            $email = $_SESSION['email']; 
            $sql = "SELECT * FROM `transations` WHERE email = '$email' ORDER BY id DESC LIMIT 1";
            $query = mysqli_query($connection,$sql);
            $row_info = mysqli_fetch_assoc($query);
            $days_left = daysLeftUntil30DaysLater($row_info['date_created']);
            $day_on = daysLeftUntil30DaysFromNow($row_info['date_created']);
        ?>
        <div class="row">
          <div class="col-md-6 mb-1">
            <div class="mb-4">
              <h6 class="mb-2">Your Current Plan is <b><?php echo $plan_data['name']; ?></b></h6>
              <p>A simple start for everyone</p>
            </div>
            <?php 
            if ($user['is_subscribed_start']){
                ?>
                <div class="mb-4">
                  <h6 class="mb-2">Active until <?php echo $day_on; ?></h6>
                  <p>We will send you a notification upon Subscription expiration</p>
                </div>
                <?php
            }else{
                ?>
                <div class="mb-4">
                  <h6 class="mb-2">Inactive</h6>
                  <p>We will send you a notification when Subscription is activated</p>
                </div>
                <?php
            }
            ?>
            
            <div class="mb-4">
              <h6 class="mb-2"><span class="me-2">₦<?php echo number_format(mb_substr($plan_data['pricing'], 0, -3, 'UTF-8'),2); ?> Per Month</span> <span class="badge bg-label-primary">Popular</span></h6>
              <p>Standard and affordable plan for small to medium salary earners</p>
            </div>
          </div>
          <div class="col-md-6 mb-1">
            <div class="alert alert-warning mb-4" role="alert">
              <h6 class="alert-heading mb-1">We need your attention!</h6>
              <span>Your plan requires update</span>
            </div>
            <?php 
            if ($user['is_subscribed_start']){
                ?>
                <div class="plan-statistics">
                  <div class="d-flex justify-content-between">
                    <span class="fw-medium mb-2">Days</span>
                    <span class="fw-medium mb-2"><?php echo $days_left; ?> of 365 Days</span>
                  </div>
                  <div class="progress">
                    <div class="progress-bar " style="width:<?php echo intval($days_left / 365 * 100); ?>%;" role="progressbar" aria-valuenow="<?php echo intval($days_left / 365 * 100); ?>" aria-valuemin="0" aria-valuemax="100"></div>
                  </div>
                  <p class="mt-1 mb-0"><?php echo (365 - $days_left); ?> days remaining until your plan requires update</p>
                <?php
            }else{
                ?>
                <?php
            }
            ?>
            
            </div>
          </div>
          <div class="col-12">
            <button class="btn btn-primary me-2 mt-2" data-bs-toggle="modal" data-bs-target="#upgradePlanModal">Upgrade Plan</button>
            <button class="btn btn-label-secondary cancel-subscription mt-2">Cancel Subscription</button>
          </div>
        </div>
      </div>
      <!-- Modal -->

      
      <!-- /Modal -->

      <!-- /Current Plan -->
    </div>
    <div class="card">
      <!-- Billing History -->
      <h5 class="card-header border-bottom">Billing History</h5>
      <div class="card-datatable table-responsive container">
        <table class="invoice-list-table table border-top table-striped w-100" id="myTable">
          <thead>
            <tr>
              <th>#ID</th>
              <th>Client</th>
              <th>Total</th>
              <th class="text-truncate">Issued Date</th>
              <th>Invoice Status</th>
              <th class="cell-fit">Actions</th>
            </tr>
          </thead>
          <tbody>
           <?php 
           
           function foodate($data){
                $originalDateTime = new DateTime($data);
                $formattedDateStr = $originalDateTime->format("d F Y");
                return $formattedDateStr;
            } 
           $sql = "SELECT * FROM `transations` WHERE email = '$email' ORDER BY id DESC";
           $query = mysqli_query($connection,$sql);
           while($row = mysqli_fetch_assoc($query)){
            ?>
                <tr class="odd">
              <td class=""><a href="#"><span class="fw-medium">#<?php echo $row['id'];?></span></a></td>
              <td>
                 <div class="d-flex justify-content-start align-items-center">
                    <div class="avatar-wrapper">
                       <div class="avatar avatar-sm me-2"><img src="<?php echo $user['image']; ?>" alt="Avatar" class="rounded-circle"></div>
                    </div>
                    <div class="d-flex flex-column"><a href="./my-profile.php" class="text-body text-truncate"><span class="fw-medium"><?php echo $user['lname']; ?> <?php echo $user['fname']; ?></span></a></div>
                 </div>
              </td>
              <td>₦<?php echo number_format(mb_substr($row['amount'], 0, -2, 'UTF-8'),2); ?></td>
              <td><?php echo foodate($row['date_created']); ?></td>
              <td><span class="badge bg-label-success"> Paid </span></td>
              <td>
                 <div class="d-flex align-items-center">
                    <div class="dropdown">
                       <a href="javascript:;" class="btn dropdown-toggle hide-arrow text-body p-0" data-bs-toggle="dropdown"><i class="bx bx-dots-vertical-rounded"></i></a>
                       <div class="dropdown-menu dropdown-menu-end">
                          <a href="javascript:;" class="dropdown-item d-none">Download</a>
                       </div>
                    </div>
                 </div>
              </td>
           </tr>
           <?php
           }
           ?>
        </tbody>
        </table>
      </div>
      <!--/ Billing History -->
    </div>
  </div>
</div>
 <div class="content-backdrop fade"></div>
        </div>

<!-- Add New Credit Card Modal -->
<div class="modal fade" id="upgradePlanModal" tabindex="-1" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered modal-simple modal-upgrade-plan">
    <div class="modal-content p-3 p-md-5">
      <div class="modal-body">
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
        <div class="text-center mb-4">
          <h3>Upgrade Plan</h3>
          <p>Choose the best plan for user.</p>
        </div>
        <form id="upgradePlanForm" class="row g-3" onsubmit="return false">
          <div class="col-sm-9">
            <label class="form-label" for="choosePlan">Choose Plan</label>
            <select id="choosePlan" name="choosePlan" class="form-select" aria-label="Choose Plan">
              <option selected>Choose Plan</option>
              <option value="standard"><?php echo $plan_data['name']; ?> - ₦<?php echo number_format(mb_substr($plan_data['pricing'], 0, -3, 'UTF-8'),2); ?>/month</option>
            </select>
          </div>
          <div class="col-sm-3 d-flex align-items-end">
            <button type="submit" class="btn btn-primary disabled">Upgrade</button>
          </div>
        </form>
      </div>
      <hr class="mx-md-n5 mx-n3">
      <div class="modal-body">
        <h6 class="mb-0">User current plan is <?php echo $plan_data['name']; ?></h6>
        <div class="d-flex justify-content-between align-items-center flex-wrap">
          <div class="d-flex justify-content-center me-2 mt-3">
            <sup class="h5 pricing-currency pt-1 mt-3 mb-0 me-1 text-primary">₦</sup>
            <h3 class="display-3 mb-0 text-primary"><?php echo number_format(mb_substr($plan_data['pricing'], 0, -3, 'UTF-8'),2); ?></h3>
            <sub class="h5 pricing-duration mt-auto mb-2">/month</sub>
          </div>
          <button class="btn btn-label-danger cancel-subscription mt-3" data-bs-dismiss="modal">Cancel Subscription</button>
        </div>
      </div>
    </div>
  </div>
</div>
<!--/ Add New Credit Card Modal -->

<?php include './footer.php'; ?>         
<!-- Content wrapper -->
<script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
<script src="https://cdn.datatables.net/v/dt/dt-1.13.6/datatables.min.js"></script>
<script src="https://cdn.datatables.net/1.13.6/js/dataTables.bootstrap5.min.js"></script>
<script>
    let table = new DataTable('#myTable');
    
    $(document).on('click','.cancel-subscription',function(){
        Swal.fire({
          title: 'Are you sure ?',
          text: "You won't be able to revert this!",
          icon: 'warning',
          showCancelButton: true,
          confirmButtonColor: '#3085d6',
          cancelButtonColor: '#d33',
          confirmButtonText: 'Yes, delete it!'
        }).then((result) => {
          if (result.isConfirmed) {
            Swal.fire(
              'Deleted!',
              'Your file has been deleted.',
              'success'
            );
          }
          else{
              Swal.fire({
                  icon: 'error',
                  title: 'Cancelled',
                  text: 'Unsubscription Cancelled!!',
                });
          }
        })
    });
</script>
        