
<?php
    require("backend/init.php");
?>
<!DOCTYPE html>
<html lang="en">
	<head>
	    <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
        <meta name="format-detection" content="telephone=no">
        <title> Get Affordable, Accessible, and Reliable Health Insurance - Get early Access Today | HealthBumpa</title>    
        <meta name="description"
            content="Looking for an affordable and reliable health insurance option that gives you access to the care you need? look no further than HealthBumpa">
        <meta name="robots" content="index, follow, max-snippet:-1, max-video-preview:-1, max-image-preview:large">
        <link rel="canonical" href="https://healthbumpa.com/">
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta property="og:locale" content="en_US">
        <meta property="og:type" content="website">
        <meta property="og:title" content="Get Affordable, Accessible, and Reliable Health Insurance - Get early Access Today | HealthBumpa">
        <meta property="og:description" content="Join the HealthBumpa waitlist and get ready to experience the future of health insurance. Affordable, accessible, and reliable insurance plans tailored to your needs.">
        <meta property="og:url" content="https://healthbumpa.com/">
        <meta property="og:site_name" content="Health Bumpa">
        <meta property="og:updated_time" content="2022-04-09T10:51:25+01:00">
        <meta property="article:published_time" content="2018-10-14T12:21:59+01:00">
        <meta property="article:modified_time" content="2022-04-09T10:51:25+01:00">
        <meta name="twitter:card" content="summary_large_image">
        <meta name="twitter:title" content="Get Affordable, Accessible, and Reliable Health Insurance - Get early Access Today | HealthBumpa">
        
        <meta property="og:image" content="./assets/images/woman-image.png" />
        <meta property="og:image:width" content="2560" />
        <meta property="og:image:height" content="1441" />
        <meta property="og:image:type" content="image/png" />
        <meta name="twitter:description"  content="Join the HealthBumpa waitlist and get ready to experience the future of health insurance. Affordable, accessible, and reliable insurance plans tailored to your needs.">
        <meta name="twitter:label1" content="Written by">
        <meta name="twitter:data1" content="Health Bumpa">
        <meta name="twitter:label2" content="Time to read">
        <meta name="twitter:data2" content="10 minutes">
        <link rel="icon" href="./assets/images/favicon.png" sizes="32x32">
        <link rel="icon" href="./assets/images/favicon.png" sizes="192x192">
		<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.10.3/font/bootstrap-icons.css">
		<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/animate.css/4.1.1/animate.min.css" />
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" />
		<link rel="stylesheet" href="./assets/styles/index.css?ver=0.40232371" />
	</head>
	<style>
	    .navbar-toggler{
	        & svg{
	            --size: 1.5rem;
	            height: var(--size);
	            width: var(--size);
	        }
	    }
	    @media all and (max-width:567px){
	        .fw-bolder{
	            text-align:left;
	        }
	        .main__inner .pre__image > div:has(p) p {
                text-align:left;
            }
	    }
	    .submit-btn{
	        font-family: var(--font-family) !important;
            letter-spacing: 1px !important;
	    }.social{
	        width: 30px;
            height: 30px;
            background: #25CBF6;
            display: flex;
            align-items: center;
            justify-content: center;
            border-radius: 50%;
            color: white;
	    }footer * {
            color: #211640;
        }@media all and (max-width:390px){
            .header__inner .links a {
                padding: 0.7rem 0.6rem;
                font-size: 11px;
            }
        }body{
            overflow-x:hidden !important;
        }a.active{
            font-weight:900 !important;
        }
        .wrapper{
            overflow-x: hidden;
        }
	</style>
	<body id="app">
		<div class="wrapper">
			<!--header-->
			<div class="header__inner">
				<nav class="container-lg">
					<header class="py-3 d-flex align-items-center justify-content-between">
						<a href="./" class="logo">
							<img src="./assets/images/healthbumpa-logo.svg"  alt="HealthBumpa: The Future of Health Insurance is Here" class="img-fluid" />
						</a>
						<div class="flex align-items-center gap-3">
						    
						</div>
						<div class="d-flex align-items-center gap-4 links">
						    <ul class="d-none d-lg-flex gap-3">
						        <li><a href="./" class="active p-1" >Home</a></li>
						        <li><a href="./pricing.php" class="p-1" >Pricing</a></li>
						        <li><a href="./pricing.php#faq" class="p-1" >FAQ</a></li>
						        <li><a href="./about.php" class="p-1" >About Us</a></li>
						    </ul>
							<a href="./login.php" class="get-access d-none d-sm-block" style="border: 1px solid #ff4266; font-family: var(--font-family2); letter-spacing: 1px; background-color: transparent;color: #ff4266;"> Login</a>
                            <a href="./register.php" class="get-access d-none d-sm-block" style="border: 1px solid #ff4266; font-family: var(--font-family2); letter-spacing: 1px; background-color: #ff4266;color: white;white-space:nowrap;">Get Started</a>
                            <button class="navbar-toggler d-block d-lg-none rounded" type="button"  data-bs-toggle="offcanvas" data-bs-target="#offcanvasTop" aria-controls="offcanvasTop">
                              <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 16 16"><path fill="currentColor" d="M.5 7.42h15v1.25H.5zm0 3.6h15v1.25H.5zm0-7.29h15v1.25H.5z"/></svg>
                            </button>
						</div>
						
					</header>
				</nav>
			</div>

<div class="offcanvas offcanvas-top" style="height:400px;" tabindex="-1" id="offcanvasTop" aria-labelledby="offcanvasTopLabel">
  <div class="offcanvas-header">
    <h5 class="offcanvas-title d-none" id="offcanvasTopLabel">HealthBumpa</h5>
    <a href="./" class="logo">
				<img src="./assets/images/healthbumpa-logo.svg"  alt="HealthBumpa: The Future of Health Insurance is Here" class="img-fluid" />
			</a>
    <button type="button" class="btn-close" data-bs-dismiss="offcanvas" aria-label="Close"></button>
  </div>
  <div class="offcanvas-body">
    <ul class=" d-flex flex-column gap-3">
		<li><a href="./" class="p-1 text-dark d-block" >Home</a></li>
		<li><a href="./pricing.php" class="p-1 text-dark d-block" >Pricing</a></li>
		<li><a href="./pricing.php#faq" class="p-1 text-dark d-block" >FAQ</a></li>
		<li><a href="./about.php" class="p-1 text-dark d-block" >About Us</a></li>
		<li><a href="./login.php" class="get-access d-block w-100 p-2" style="border: 1px solid #ff4266; font-family: var(--font-family2); letter-spacing: 1px; background-color: transparent;color: #ff4266;border-radius:9px;"> Login</a>
                </li>
        <li><a href="./pricing.php" class="get-access d-block w-100 p-2" style="border: 1px solid #ff4266; font-family: var(--font-family2); letter-spacing: 1px; background-color: #ff4266;color: white;white-space:nowrap;border-radius:9px;">Get Started</a>
                </li>
	</ul>
  </div>
</div>