<?php
ini_set( 'display_errors', 1 );
require("backend/init.php");
include './utilities/intro.php';
include './utilities/encryption.php';
require ('./backend/sendgrid/sendgrid-php.php');

// Retrieve the webhook response from the request body
$webhookResponse = file_get_contents('php://input');

// Convert the JSON string to an associative array
$data = json_decode($webhookResponse, true);

$event = $data['event'];

function httpPost($url, $data){
    $curl = curl_init($url);
    curl_setopt($curl, CURLOPT_POST, true);
    curl_setopt($curl, CURLOPT_POSTFIELDS, http_build_query($data));
    curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
    $response = curl_exec($curl);
    curl_close($curl);
    return $response;
}
function send_message($phone,$type=1,$message,$sender){
    // Your variables
    $key="TXTNG-WQUZ2KZD5U3TTKQ5HNSN267R6CQGB7NONC6V4BF0PB3CJ6E3AZR";
    $route="2";
    if ($type == 1){
        $response = httpPost("https://api.textng.xyz/pushsms/",array("key"=>"$key","phone"=>"$phone","message"=>"$message","route"=>"$route","sender"=>"$sender","siscb" => 1));
    }
    
    //Getting the Reference Number 
    // extract text in front of "Reference:"
    $reference_text = "";
    if (preg_match("/Reference:(.*?)\s*\|\|/", $response, $matches)) {
        $reference_text = trim($matches[1]);
    }
    echo $response;
}
    
//Transaction Successful
if ($event == "charge.success"){
    // Extract individual pieces of data and store them in separate variables
    $domain = $data['data']['domain'];
    $status = $data['data']['status'];
    $reference = $data['data']['reference'];
    $amount = $data['data']['amount'];
    $message = $data['data']['message'];
    $gateway_response = $data['data']['gateway_response'];
    $paid_at = $data['data']['paid_at'];
    $created_at = $data['data']['created_at'];
    $channel = $data['data']['channel'];
    $currency = $data['data']['currency'];
    $ip_address = $data['data']['ip_address'];
    $fees = $data['data']['fees'];
    
    //Plan Authorization
    $authorization_code = $data['data']['authorization']['authorization_code'];
    $bin = $data['data']['authorization']['bin'];
    $last4 = $data['data']['authorization']['last4'];
    $exp_month = $data['data']['authorization']['exp_month'];
    $exp_year = $data['data']['authorization']['exp_year'];
    $card_type = $data['data']['authorization']['card_type'];
    $bank = $data['data']['authorization']['bank'];
    $country_code = $data['data']['authorization']['country_code'];
    $brand = $data['data']['authorization']['brand'];
    $reusable = $data['data']['authorization']['reusable'];
    $signature = $data['data']['authorization']['signature'];
    
    //Customer Data
    $customer_email = $data['data']['customer']['email'];
    $customer_code = $data['data']['customer']['customer_code'];
    
    //Plan Data
    $plan_name = $data['data']['plan']['name'];
    $plan_code = $data['data']['plan']['plan_code'];
    $plan_amount = $data['data']['plan']['amount'];
    $plan_interval = $data['data']['plan']['interval'];
    
    $stmt = $connection->prepare("INSERT INTO webhook (email, type, amount, data,status) VALUES (?, ?, ?, ?,?)");
    $stmt->bind_param("ssdss", $customer_email, $event, $amount, $webhookResponse,$status);
    $stmt->execute();
    $stmt->close();
    
    if($status == "success"){
        $time = time();
        $stmt = $connection->prepare("INSERT INTO transations(`ref`, `email`,`customer_code`,`authorization_code`,`status`,webhook,amount,time) VALUES (?,?,?,?,?,?,?,?)");
        $stmt->bind_param("ssssssss", $reference,$customer_email,$customer_code,$authorization_code,$status,$webhookResponse,$amount,$time);
        $stmt->execute();
        $stmt->close();
        
    
        $emailCount = 0;
        $sql = "SELECT COUNT(*) AS email_count FROM subscribed_users WHERE email = '$customer_email' ";
        $query = mysqli_query($connection,$sql);
        if($query){
            $emailCount = mysqli_fetch_assoc($query)['email_count'];
        }
        
        $sql = "SELECT phone_number FROM users WHERE `email` = '$customer_email'";
        $result = $connection->query($sql);
        $row = mysqli_fetch_array($result);
        $phone_number = $row['phone_number'];
        
        send_message($phone_number,1,"You have successfully enrolled in a health insurance plan with a monthly premium of NGN".number_format(substr($plan_amount, 0, -2)),"HealthBmpa");
        
        $reciever_name= "Okeke Johnpaul";
        $send_to= $to = $customer_email;
        // Check if the email count is greater than 1
        if ($emailCount == 0) {
            $messageintext = 'Welcome to Health Bumpa - Your Health Deserves The Best';
            $messageinhtml = $message = '
            <html lang="en">
            	<head>
            		<meta charset="UTF-8">
                    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
                    <meta name="format-detection" content="telephone=no">
                    <title> Welcome to Health Bumpa - Your Health Deserves The Best</title>    
                    <meta name="description"
                        content="Looking for an affordable and reliable health insurance option that gives you access to the care you need? look no further than HealthBumpa">
                    <meta name="robots" content="index, follow, max-snippet:-1, max-video-preview:-1, max-image-preview:large">
                    <link rel="canonical" href="https://healthbumpa.com/">
                    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
                    <meta property="og:locale" content="en_US">
                    <meta property="og:type" content="website">
            	</head>
            	<style>
            	    	:is(.outer-container, .wrapper) {
            			align-items: center;
            			justify-content: center;
            		}
            		.svg-wrap svg {
            			font-size: 3.5rem;
            			color: #ff4266;
            		}
            		.card-inner {
            			box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
            			padding: 3rem 2rem;
            			border-radius: 2rem;
            		}
            		.card-inner span {
            			font-size: 0.9rem;
            		}
            		.number-tag h2 {
            			color: #1e163f;
            			font-size: 3rem;
            		}
            		
            	</style>
            	<body id="app" style="background-color:white !important;">
            		<div class="wrapper">
            			<main>
            				<!--main-->
            				<div class="main__inner pt-4">
            					<div class="container p-0">
            				<div class="col-md-8 mx-auto outer-container">
            					<div class="card-inner d-flex flex-column gap-1 align-items-center" style="box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;padding: 3rem 2rem;border-radius: 2rem;background-color:white;>
            						<div class="svg-wrap">
            							<svg
            								xmlns="http://www.w3.org/2000/svg"
            								width="1em"
            								height="1em"
            								preserveAspectRatio="xMidYMid meet"
            								viewBox="0 0 256 256">
            								<path
            									fill="currentColor"
            									d="M128 24a104 104 0 1 0 104 104A104.2 104.2 0 0 0 128 24Zm49.5 85.8l-58.6 56a8.1 8.1 0 0 1-5.6 2.2a7.7 7.7 0 0 1-5.5-2.2l-29.3-28a8 8 0 1 1 11-11.6l23.8 22.7l53.2-50.7a8 8 0 0 1 11 11.6Z" />
            							</svg>
            							
            						</div>
            						<span class="text-success fw-bold">You have successfully subscribed</span>
            							
            						<div class="number-tag">
            							<h4 class="my-3">Congratulations! </h4>
            							<p style="font-weight: 400;font-family: system-ui;">You have successfully signed up for a Health Bumpa insurance plan.</p>
            							<p style="font-weight: 400;font-family: system-ui;">We just sent an email and SMS to the email address and phone number you provided us. Kindly read the very important information carefully as they contain all you need to start using your insurance.</p>
            							<p style="font-weight: 400;font-family: system-ui;">If you have any issues our HealthBumpa Health Centre agents are always happy to help via:</p>
            							<ul class="m-0 p-0">
            							    <li>Email: <a href="mailto:info@healthbumpa.com">info@healthbumpa.com</a></li>
            							    <li>Telephone: <a href="tel:070073542623">0700-7354-2623</a></li>
            							    <li>Whatsapp: <a href="mailto:hello@reliancehmo.com">070-353-69587</a></li>
            							</ul>
            						</div>
            						<div>
            							<span>Thanks for choosing Health Bumpa</span>
            						</div>
            						<a href="https://healthbumpa.com/login.php" class="share" style="background-color: #ff4266;
                                        -webkit-transition: 280ms ease-in-out;
                                        -moz-transition: 280ms ease-in-out;
                                        -ms-transition: 280ms ease-in-out;
                                        -o-transition: 280ms ease-in-out;
                                        transition: 280ms ease-in-out;
                                        color: #fff;
                                        border-radius: 6px;
                                        display: flex;
                                        color: white !important;
                                        width:130px !important;
                                        align-items: center;
                                        text-decoration:none !important;
                                        justify-content: center;
                                        font-size: 0.88rem;
                                        border: none;
                                        padding: 0.66rem 1.4rem;
                                        letter-spacing: 0.3px;
                                        margin-top: 10px;">Login to Dashboard</a>
            					</div>
            				</div>
            			</div>
            				</div>
            			</main>
            			<!--end of main-->
            						<br />
            
            ';
            $subject="Subscription Successful!";
            if (sendWithSendGrid($subject,$send_to,$messageintext,$messageinhtml)) {
                echo true;
            }
            include './hygeia.php';
        }
        else{
            //Reactivate Plan
            $messageintext = 'Welcome to Health Bumpa - Your Health Deserves The Best';
            $messageinhtml = $message = '
                <html lang="en">
                    <head>
                        <meta charset="UTF-8">
                        <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
                        <meta name="format-detection" content="telephone=no">
                        <title>Welcome to Health Bumpa - Your Health Deserves The Best</title>
                        <meta name="description" content="Looking for an affordable and reliable health insurance option that gives you access to the care you need? Look no further than HealthBumpa">
                        <meta name="robots" content="index, follow, max-snippet:-1, max-video-preview:-1, max-image-preview:large">
                        <link rel="canonical" href="https://healthbumpa.com/">
                        <meta http-equiv="X-UA-Compatible" content="IE edge" />
                        <meta property="og:locale" content="en_US">
                        <meta property="og:type" content="website">
                    </head>
                    <style>
                        .outer-container, .wrapper {
                            align-items: center;
                            justify-content: center;
                        }
                        .svg-wrap svg {
                            font-size: 3.5rem;
                            color: #ff4266;
                        }
                        .card-inner {
                            box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
                            padding: 3rem 2rem;
                            border-radius: 2rem;
                        }
                        .card-inner span {
                            font-size: 0.9rem;
                        }
                        .number-tag h2 {
                            color: #1e163f;
                            font-size: 3rem;
                        }
                    </style>
                    <body id="app" style="background-color: white !important;">
                        <div class="wrapper">
                            <main>
                                <!-- main -->
                                <div class="main__inner pt-4">
                                    <div class="container p-0">
                                        <div class="col-md-8 mx-auto outer-container">
                                            <div class="card-inner d-flex flex-column gap-1 align-items-center" style="box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;padding: 3rem 2rem;border-radius: 2rem;background-color:white;">
                                                <div class="svg-wrap">
                                                    <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" preserveAspectRatio="xMidYMid meet" viewBox="0 0 256 256">
                                                        <path fill="currentColor" d="M128 24a104 104 0 1 0 104 104A104.2 104.2 0 0 0 128 24Zm49.5 85.8l-58.6 56a8.1 8.1 0 0 1-5.6 2.2a7.7 7.7 0 0 1-5.5-2.2l-29.3-28a8 8 0 1 1 11-11.6l23.8 22.7l53.2-50.7a8 8 0 0 1 11 11.6Z" />
                                                    </svg>
                                                </div>
                                                <span class="text-success fw-bold">Welcome back to Health Bumpa</span>
                                                <div class="number-tag">
                                                    <h4 class="my-3">Congratulations!</h4>
                                                    <p style="font-weight: 400; font-family: system-ui;">You have successfully renewed your Health Bumpa insurance plan for ₦12,000 per month, and you can continue to access the benefits of your plan.</p>
                                                    <p style="font-weight: 400; font-family: system-ui;">To manage your insurance and access your dashboard, please click the link below:</p>
                                                </div>
                                                <div>
                                                    <span>Thanks for choosing Health Bumpa</span>
                                                </div>
                                                <a href="https://healthbumpa.com/login.php" class="share" style="background-color: #ff4266; -webkit-transition: 280ms ease-in-out; -moz-transition: 280ms ease-in-out; -ms-transition: 280ms ease-in-out; -o-transition: 280ms ease-in-out; transition: 280ms ease-in-out; color: #fff; border-radius: 6px; display: flex; color: white !important; width: 130px !important; align-items: center; text-decoration: none !important; justify-content: center; font-size: 0.88rem; border: none; padding: 0.66rem 1.4rem; letter-spacing: 0.3px; margin-top: 10px;">Login to Dashboard</a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </main>
                            <!-- end of main -->
                            <br />
                        </div>
                    </body>
                ';
            $subject="Subscription Successful!";
            if (sendWithSendGrid($subject,$send_to,$messageintext,$messageinhtml)) {
                echo true;
            }
        }
        
        $is_subscribed = 1;
        $is_subscribed_start = 0;
        $expiry = time() + (60*60*24*365); //Expiry Time
        $stmt = $connection->prepare("UPDATE users SET customer_code = ?, is_suscribed = ?, expiry_date = ?,is_subscribed_start = ? WHERE email = ?");
        $stmt->bind_param("ssssi", $customer_code, $is_subscribed,$expiry,$is_subscribed_start, $customer_email);
        $stmt->execute();
        $stmt->close();
        exit();
        
        
        
        
    }
}
else{
    $status = $data['data']['status'];
    $amount = $data['data']['amount'];
    
    //Customer Data
    $customer_email = $data['data']['customer']['email'];
    $customer_code = $data['data']['customer']['customer_code'];
    
    $stmt = $connection->prepare("INSERT INTO webhook (email, type, amount, data,status) VALUES (?, ?, ?, ?,?)");
    $stmt->bind_param("ssdss", $customer_email, $event, $amount, $webhookResponse,$status);
    $stmt->execute();
    $stmt->close();
}
?>
